%define release    0.1.rc1
%define pretag     rc1
%define tarversion %{?cvsdate:%{cvsdate}}%{!?cvsdate:%{version}%{?pretag:%{pretag}}}

Summary:       The Advanced Linux Sound Architecture (ALSA) OSS compatibility library %{?cvsdate:(CVS: %{cvsdate})}
Name:          alsa-oss
Version:       1.0.9
Release:       %{release}
Copyright:     GPL
Group:         System/Libraries
Source:        ftp://ftp.alsa-project.org/pub/utils/alsa-oss-%{tarversion}.tar.bz2
Patch0:        alsa-oss-cvscompile.patch
URL:           http://www.alsa-project.org
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Requires:      alsa-lib >= %{version}
Packager:      Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution:  Planet CCRMA

BuildRequires: gcc-c++ alsa-lib-devel >= %{version}
%{?cvsdate:BuildRequires: autoconf automake libtool}

%description
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system. ALSA has the following
significant features: Efficient support for all types of audio interfaces,
from consumer soundcards to professional multichannel audio interfaces,
fully modularized sound drivers, SMP and thread-safe design, user space
library (alsa-lib) to simplify application programming and provide higher
level functionality as well as support for the older OSS API, providing
binary compatibility for most OSS programs.

aoss is a simple wrapper script which facilitates the use of the
ALSA OSS compatibility library. It just sets the appropriate LD_PRELOAD
path and then runs the command.

%{?cvsdate:This package is based on the experimental CVS version of alsa}
%{?cvsdate:downloaded on %{cvsdate}. Handle with care.}

%prep
%setup -q -n alsa-oss-%{version}%{?pretag:%{pretag}}
%{?cvsdate:%patch0 -p1}

%build
if [ -x "./cvscompile" ] ; then
    CVSCOMPILE_NO_MAKE=1 CVSCOMPILE_NO_CONFIGURE=1 ./cvscompile
fi
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING
%{_bindir}/*
%{_libdir}/*
%{_mandir}/man1/*
%{_includedir}/*

%changelog
* Wed Mar 16 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.9-0.1.rc1
- updated to 1.0.9 rc1
* Sun Jan 16 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.8-1
- updated to 1.0.8 final release
* Sun Jan  9 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.8-0.1.rc2.cvs
- cvs: 01/09/2005
* Wed Dec 15 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- spec file cleaunps and tweaks
* Sun Dec 12 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.7-1.cvs
- cvs: 12/12/2004
* Sat Dec 11 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.7-1.cvs
- cvs: 12/10/2004
* Mon Aug 23 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.6-1.cvs
- cvs: 08/23/2004
* Thu Jun 17 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.5-1.cvs
- cvs: 06/17/2004
* Sat Apr 17 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.4-1.cvs
- cvs: 04/17/2004
* Sun Feb 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.3-1.cvs
- cvs: 02/29/2004
* Tue Feb 24 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.2-1.cvs
- cvs: 02/24/2004
* Thu Jan  8 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.1-1.cvs
- cvs: 01/08/2004
* Tue Jan  6 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-2.rc2.cvs
- cvs: 01/06/2004
- initial build
